diff --git a/.dbeaver/credentials-config.json b/.dbeaver/credentials-config.json
new file mode 100644
index 000000000..d814bdfcf
--- /dev/null
+++ b/.dbeaver/credentials-config.json
@@ -0,0 +1,3 @@
+þ4ƒkÐêË1°,•ßfòbìAìqÄ¬céß#¾›ö¾ýø#s’8-À1‰&»;ðöã"¢ôùì7€d¥jM?‘bljfB¼ƒqÁ=
+ÛÖmyô¿
+vú·´V 
\ No newline at end of file
diff --git a/.dbeaver/data-sources.json b/.dbeaver/data-sources.json
new file mode 100644
index 000000000..096f0d57e
--- /dev/null
+++ b/.dbeaver/data-sources.json
@@ -0,0 +1,32 @@
+{
+	"folders": {},
+	"connections": {
+		"mariaDB-1813fbbc7bc-107c0b3aeaeb91ab": {
+			"provider": "mysql",
+			"driver": "mariaDB",
+			"name": "gradido",
+			"save-password": true,
+			"read-only": false,
+			"configuration": {
+				"host": "localhost",
+				"port": "3306",
+				"url": "jdbc:mariadb://localhost:3306/",
+				"home": "mysql_client",
+				"type": "dev",
+				"auth-model": "native",
+				"handlers": {}
+			}
+		}
+	},
+	"connection-types": {
+		"dev": {
+			"name": "Development",
+			"color": "255,255,255",
+			"description": "Regular development database",
+			"auto-commit": true,
+			"confirm-execute": false,
+			"confirm-data-change": false,
+			"auto-close-transactions": false
+		}
+	}
+}
\ No newline at end of file
diff --git a/.gitignore b/.gitignore
index 08ccd2b30..ced6746aa 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,6 +1,5 @@
-.dbeaver
-.project
 *.log
+*.bak
 /node_modules/*
 messages.pot
 nbproject
diff --git a/.project b/.project
new file mode 100644
index 000000000..5d9663f32
--- /dev/null
+++ b/.project
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>Gradido</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.wst.validation.validationbuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.jkiss.dbeaver.DBeaverNature</nature>
+		<nature>org.eclipse.wst.jsdt.core.jsNature</nature>
+	</natures>
+</projectDescription>
diff --git a/backend/src/config/index.ts b/backend/src/config/index.ts
index 28fd0fb80..100206b48 100644
--- a/backend/src/config/index.ts
+++ b/backend/src/config/index.ts
@@ -10,7 +10,7 @@ Decimal.set({
 })
 
 const constants = {
-  DB_VERSION: '0036-unique_previous_in_transactions',
+  DB_VERSION: '0038-add_contribution_links_table',
   DECAY_START_TIME: new Date('2021-05-13 17:46:31-0000'), // GMT+0
   LOG4JS_CONFIG: 'log4js-config.json',
   // default log level on production should be info
diff --git a/backend/src/typeorm/repository/UserSettingRepository.ts b/backend/src/typeorm/repository/UserSettingRepository.ts
deleted file mode 100644
index f911cfd1a..000000000
--- a/backend/src/typeorm/repository/UserSettingRepository.ts
+++ /dev/null
@@ -1,25 +0,0 @@
-import { EntityRepository, Repository } from '@dbTools/typeorm'
-import { UserSetting } from '@entity/UserSetting'
-import { isStringBoolean } from '@/util/validate'
-
-@EntityRepository(UserSetting)
-export class UserSettingRepository extends Repository<UserSetting> {
-  async setOrUpdate(userId: number, value: string): Promise<UserSetting> {
-    let entity = await this.findOne({ userId: userId })
-
-    if (!entity) {
-      entity = new UserSetting()
-      entity.userId = userId
-    }
-    entity.value = value
-    return this.save(entity)
-  }
-
-  async readBoolean(userId: number): Promise<boolean> {
-    const entity = await this.findOne({ userId: userId })
-    if (!entity || !isStringBoolean(entity.value)) {
-      return true
-    }
-    return entity.value.toLowerCase() === 'true'
-  }
-}
diff --git a/backend/src/util/communityUser.ts b/backend/src/util/communityUser.ts
index 0d0d12f6c..1a84c2cdf 100644
--- a/backend/src/util/communityUser.ts
+++ b/backend/src/util/communityUser.ts
@@ -20,7 +20,6 @@ const communityDbUser: dbUser = {
   isAdmin: null,
   publisherId: 0,
   passphrase: '',
-  settings: [],
   hasId: function (): boolean {
     throw new Error('Function not implemented.')
   },
diff --git a/database/README.md b/database/README.md
index d6cf84518..e951f4530 100644
--- a/database/README.md
+++ b/database/README.md
@@ -1,32 +1,39 @@
 # database
 
 ## Project setup
-```
+
+```bash
 yarn install
 ```
 
 ## Upgrade migrations production
-```
+
+```bash
 yarn up
 ```
 
 ## Upgrade migrations development
-```
+
+```bash
 yarn dev_up
 ```
 
 ## Downgrade migrations production
-```
+
+```bash
 yarn down
 ```
 
 ## Downgrade migrations development
-```
+
+```bash
 yarn dev_down
 ```
 
 ## Reset database
-```
+
+```bash
 yarn dev_reset
 ```
+
 Runs all down migrations and after this all up migrations.
diff --git a/database/entity/0002-add_settings/User.ts b/database/entity/0002-add_settings/User.ts
index a756cbbd5..4f333fd50 100644
--- a/database/entity/0002-add_settings/User.ts
+++ b/database/entity/0002-add_settings/User.ts
@@ -1,5 +1,5 @@
 import { BaseEntity, Entity, PrimaryGeneratedColumn, Column, OneToMany } from 'typeorm'
-import { UserSetting } from '../UserSetting'
+import { UserSetting } from '../0002-add_settings/UserSetting'
 
 // Moriz: I do not like the idea of having two user tables
 @Entity('state_users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
diff --git a/database/entity/0002-add_settings/UserSetting.ts b/database/entity/0002-add_settings/UserSetting.ts
index 006d63e3e..9da036954 100644
--- a/database/entity/0002-add_settings/UserSetting.ts
+++ b/database/entity/0002-add_settings/UserSetting.ts
@@ -1,5 +1,5 @@
 import { BaseEntity, Entity, PrimaryGeneratedColumn, Column, ManyToOne } from 'typeorm'
-import { User } from '../User'
+import { User } from '../0034-drop_server_user_table/User'
 
 @Entity()
 export class UserSetting extends BaseEntity {
diff --git a/database/entity/0017-combine_user_tables/User.ts b/database/entity/0017-combine_user_tables/User.ts
index a9bf29d24..7281c4773 100644
--- a/database/entity/0017-combine_user_tables/User.ts
+++ b/database/entity/0017-combine_user_tables/User.ts
@@ -1,5 +1,5 @@
 import { BaseEntity, Entity, PrimaryGeneratedColumn, Column, OneToMany } from 'typeorm'
-import { UserSetting } from '../UserSetting'
+import { UserSetting } from '../0002-add_settings/UserSetting'
 
 @Entity('state_users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
 export class User extends BaseEntity {
diff --git a/database/entity/0018-combine_login_user_backups_and_user_table/User.ts b/database/entity/0018-combine_login_user_backups_and_user_table/User.ts
index 2ae351e47..347f51a8d 100644
--- a/database/entity/0018-combine_login_user_backups_and_user_table/User.ts
+++ b/database/entity/0018-combine_login_user_backups_and_user_table/User.ts
@@ -1,5 +1,5 @@
 import { BaseEntity, Entity, PrimaryGeneratedColumn, Column, OneToMany } from 'typeorm'
-import { UserSetting } from '../UserSetting'
+import { UserSetting } from '../0002-add_settings/UserSetting'
 
 @Entity('state_users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
 export class User extends BaseEntity {
diff --git a/database/entity/0019-replace_login_user_id_with_state_user_id/User.ts b/database/entity/0019-replace_login_user_id_with_state_user_id/User.ts
index b469a55a7..8c00ec5c3 100644
--- a/database/entity/0019-replace_login_user_id_with_state_user_id/User.ts
+++ b/database/entity/0019-replace_login_user_id_with_state_user_id/User.ts
@@ -1,5 +1,5 @@
 import { BaseEntity, Entity, PrimaryGeneratedColumn, Column, OneToMany } from 'typeorm'
-import { UserSetting } from '../UserSetting'
+import { UserSetting } from '../0002-add_settings/UserSetting'
 
 @Entity('state_users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
 export class User extends BaseEntity {
diff --git a/database/entity/0020-rename_and_clean_state_users/User.ts b/database/entity/0020-rename_and_clean_state_users/User.ts
index 3d3b4d7b1..5501bccba 100644
--- a/database/entity/0020-rename_and_clean_state_users/User.ts
+++ b/database/entity/0020-rename_and_clean_state_users/User.ts
@@ -1,5 +1,5 @@
 import { BaseEntity, Entity, PrimaryGeneratedColumn, Column, OneToMany } from 'typeorm'
-import { UserSetting } from '../UserSetting'
+import { UserSetting } from '../0002-add_settings/UserSetting'
 
 @Entity('users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
 export class User extends BaseEntity {
diff --git a/database/entity/0023-users_disabled_soft_delete/User.ts b/database/entity/0023-users_disabled_soft_delete/User.ts
index 95fe1b3f7..950e74aeb 100644
--- a/database/entity/0023-users_disabled_soft_delete/User.ts
+++ b/database/entity/0023-users_disabled_soft_delete/User.ts
@@ -6,7 +6,7 @@ import {
   OneToMany,
   DeleteDateColumn,
 } from 'typeorm'
-import { UserSetting } from '../UserSetting'
+import { UserSetting } from '../0002-add_settings/UserSetting'
 
 @Entity('users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
 export class User extends BaseEntity {
diff --git a/database/entity/0033-add_referrer_id/User.ts b/database/entity/0033-add_referrer_id/User.ts
index 48c804b63..353c6a830 100644
--- a/database/entity/0033-add_referrer_id/User.ts
+++ b/database/entity/0033-add_referrer_id/User.ts
@@ -6,7 +6,7 @@ import {
   OneToMany,
   DeleteDateColumn,
 } from 'typeorm'
-import { UserSetting } from '../UserSetting'
+import { UserSetting } from '../0002-add_settings/UserSetting'
 
 @Entity('users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
 export class User extends BaseEntity {
diff --git a/database/entity/0034-drop_server_user_table/User.ts b/database/entity/0034-drop_server_user_table/User.ts
index 1f56d13d2..82fd72009 100644
--- a/database/entity/0034-drop_server_user_table/User.ts
+++ b/database/entity/0034-drop_server_user_table/User.ts
@@ -6,7 +6,7 @@ import {
   OneToMany,
   DeleteDateColumn,
 } from 'typeorm'
-import { UserSetting } from '../UserSetting'
+import { UserSetting } from '../0002-add_settings/UserSetting'
 
 @Entity('users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
 export class User extends BaseEntity {
diff --git a/database/entity/0037-drop_user_setting_table/User.ts b/database/entity/0037-drop_user_setting_table/User.ts
new file mode 100644
index 000000000..528cef32b
--- /dev/null
+++ b/database/entity/0037-drop_user_setting_table/User.ts
@@ -0,0 +1,70 @@
+import { BaseEntity, Entity, PrimaryGeneratedColumn, Column, DeleteDateColumn } from 'typeorm'
+
+@Entity('users', { engine: 'InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci' })
+export class User extends BaseEntity {
+  @PrimaryGeneratedColumn('increment', { unsigned: true })
+  id: number
+
+  @Column({ name: 'public_key', type: 'binary', length: 32, default: null, nullable: true })
+  pubKey: Buffer
+
+  @Column({ name: 'privkey', type: 'binary', length: 80, default: null, nullable: true })
+  privKey: Buffer
+
+  @Column({ length: 255, unique: true, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  email: string
+
+  @Column({
+    name: 'first_name',
+    length: 255,
+    nullable: true,
+    default: null,
+    collation: 'utf8mb4_unicode_ci',
+  })
+  firstName: string
+
+  @Column({
+    name: 'last_name',
+    length: 255,
+    nullable: true,
+    default: null,
+    collation: 'utf8mb4_unicode_ci',
+  })
+  lastName: string
+
+  @DeleteDateColumn()
+  deletedAt: Date | null
+
+  @Column({ type: 'bigint', default: 0, unsigned: true })
+  password: BigInt
+
+  @Column({ name: 'email_hash', type: 'binary', length: 32, default: null, nullable: true })
+  emailHash: Buffer
+
+  @Column({ name: 'created', default: () => 'CURRENT_TIMESTAMP', nullable: false })
+  createdAt: Date
+
+  @Column({ name: 'email_checked', type: 'bool', nullable: false, default: false })
+  emailChecked: boolean
+
+  @Column({ length: 4, default: 'de', collation: 'utf8mb4_unicode_ci', nullable: false })
+  language: string
+
+  @Column({ name: 'is_admin', type: 'datetime', nullable: true, default: null })
+  isAdmin: Date | null
+
+  @Column({ name: 'referrer_id', type: 'int', unsigned: true, nullable: true, default: null })
+  referrerId?: number | null
+
+  @Column({ name: 'publisher_id', default: 0 })
+  publisherId: number
+
+  @Column({
+    type: 'text',
+    name: 'passphrase',
+    collation: 'utf8mb4_unicode_ci',
+    nullable: true,
+    default: null,
+  })
+  passphrase: string
+}
diff --git a/database/entity/0038-add_contribution_links_table/ContributionLink.ts b/database/entity/0038-add_contribution_links_table/ContributionLink.ts
new file mode 100644
index 000000000..496f57d71
--- /dev/null
+++ b/database/entity/0038-add_contribution_links_table/ContributionLink.ts
@@ -0,0 +1,88 @@
+import Decimal from 'decimal.js-light'
+import { BaseEntity, Entity, PrimaryGeneratedColumn, Column, DeleteDateColumn } from 'typeorm'
+import { DecimalTransformer } from '../../src/typeorm/DecimalTransformer'
+
+@Entity('contribution_links')
+export class ContributionLink extends BaseEntity {
+  @PrimaryGeneratedColumn('increment', { unsigned: true })
+  id: number
+
+  @Column({ length: 100, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  name: string
+
+  @Column({ length: 255, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  memo: string
+
+  @Column({ name: 'valid_from', type: 'datetime', nullable: false })
+  validFrom: Date
+
+  @Column({ name: 'valid_to', type: 'datetime', nullable: true, default: null })
+  validTo: Date | null
+
+  @Column({
+    type: 'decimal',
+    precision: 40,
+    scale: 20,
+    nullable: false,
+    transformer: DecimalTransformer,
+  })
+  amount: Decimal
+
+  @Column({ length: 12, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  cycle: string
+
+  @Column({ name: 'max_per_cycle', unsigned: true, nullable: false, default: 1 })
+  maxPerCycle: number
+
+  @Column({
+    name: 'max_amount_per_month',
+    type: 'decimal',
+    precision: 40,
+    scale: 20,
+    nullable: true,
+    default: null,
+    transformer: DecimalTransformer,
+  })
+  maxAmountPerMonth: Decimal | null
+
+  @Column({
+    name: 'total_max_count_of_contribution',
+    type: 'int',
+    unsigned: true,
+    nullable: true,
+    default: null,
+  })
+  totalMaxCountOfContribution: number | null
+
+  @Column({
+    name: 'max_account_balance',
+    type: 'decimal',
+    precision: 40,
+    scale: 20,
+    nullable: true,
+    default: null,
+    transformer: DecimalTransformer,
+  })
+  maxAccountBalance: Decimal | null
+
+  @Column({
+    name: 'min_gap_hours',
+    type: 'int',
+    unsigned: true,
+    nullable: true,
+    default: null,
+  })
+  minGapHours: number | null
+
+  @Column({ name: 'created_at', type: 'datetime', default: () => 'CURRENT_TIMESTAMP' })
+  createdAt: Date
+
+  @DeleteDateColumn({ name: 'deleted_at' })
+  deletedAt: Date | null
+
+  @Column({ length: 24, nullable: false, collation: 'utf8mb4_unicode_ci' })
+  code: string
+
+  @Column({ name: 'link_enabled', type: 'boolean', default: true })
+  linkEnabled: boolean
+}
diff --git a/database/entity/ContributionLink.ts b/database/entity/ContributionLink.ts
new file mode 100644
index 000000000..c7e4e2b7e
--- /dev/null
+++ b/database/entity/ContributionLink.ts
@@ -0,0 +1 @@
+export { ContributionLink } from './0038-add_contribution_links_table/ContributionLink'
diff --git a/database/entity/User.ts b/database/entity/User.ts
index 4cd68174c..2d434799e 100644
--- a/database/entity/User.ts
+++ b/database/entity/User.ts
@@ -1 +1 @@
-export { User } from './0034-drop_server_user_table/User'
+export { User } from './0037-drop_user_setting_table/User'
diff --git a/database/entity/UserSetting.ts b/database/entity/UserSetting.ts
deleted file mode 100644
index 38da380f9..000000000
--- a/database/entity/UserSetting.ts
+++ /dev/null
@@ -1 +0,0 @@
-export { UserSetting } from './0002-add_settings/UserSetting'
diff --git a/database/entity/index.ts b/database/entity/index.ts
index 542333755..991e482e9 100644
--- a/database/entity/index.ts
+++ b/database/entity/index.ts
@@ -1,19 +1,19 @@
+import { ContributionLink } from './ContributionLink'
 import { LoginElopageBuys } from './LoginElopageBuys'
 import { LoginEmailOptIn } from './LoginEmailOptIn'
 import { Migration } from './Migration'
 import { Transaction } from './Transaction'
 import { TransactionLink } from './TransactionLink'
 import { User } from './User'
-import { UserSetting } from './UserSetting'
 import { AdminPendingCreation } from './AdminPendingCreation'
 
 export const entities = [
   AdminPendingCreation,
+  ContributionLink,
   LoginElopageBuys,
   LoginEmailOptIn,
   Migration,
   Transaction,
   TransactionLink,
   User,
-  UserSetting,
 ]
diff --git a/database/migrations/0037-drop_user_setting_table.ts b/database/migrations/0037-drop_user_setting_table.ts
new file mode 100644
index 000000000..50a78e104
--- /dev/null
+++ b/database/migrations/0037-drop_user_setting_table.ts
@@ -0,0 +1,19 @@
+/* MIGRATION DROP user_setting TABLE */
+
+/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
+/* eslint-disable @typescript-eslint/no-explicit-any */
+
+export async function upgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  await queryFn('DROP TABLE `user_setting`;')
+}
+
+export async function downgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  await queryFn(`
+    CREATE TABLE IF NOT EXISTS \`user_setting\` (
+      \`id\` int(10) unsigned NOT NULL AUTO_INCREMENT,
+      \`userId\` int(11) NOT NULL,
+      \`key\` varchar(255) NOT NULL,
+      \`value\` varchar(255) NOT NULL,
+      PRIMARY KEY (\`id\`)
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;`)
+}
diff --git a/database/migrations/0038-add_contribution_links_table.ts b/database/migrations/0038-add_contribution_links_table.ts
new file mode 100644
index 000000000..f983644cc
--- /dev/null
+++ b/database/migrations/0038-add_contribution_links_table.ts
@@ -0,0 +1,35 @@
+/* MIGRATION TO ADD CONTRIBUTION_LINKS
+ *
+ * This migration adds the table `contribution_links` in order to store all sorts of contribution_links data
+ */
+
+/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
+/* eslint-disable @typescript-eslint/no-explicit-any */
+
+export async function upgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  await queryFn(`
+      CREATE TABLE IF NOT EXISTS \`contribution_links\` (
+        \`id\` int(10) unsigned NOT NULL AUTO_INCREMENT,
+        \`name\` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
+        \`memo\` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
+        \`valid_from\` datetime NOT NULL,
+        \`valid_to\` datetime NULL,
+        \`amount\` bigint(20) NOT NULL,
+        \`cycle\` varchar(12) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ONCE',
+        \`max_per_cycle\` int(10) unsigned NOT NULL DEFAULT '1',
+        \`max_amount_per_month\` bigint(20) NULL DEFAULT NULL,
+        \`total_max_count_of_contribution\` int(10) unsigned NULL DEFAULT NULL,
+        \`max_account_balance\` bigint(20) NULL DEFAULT NULL,
+        \`min_gap_hours\` int(10) unsigned NULL DEFAULT NULL,
+        \`created_at\` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
+        \`deleted_at\` datetime NULL DEFAULT NULL,
+        \`code\` varchar(24) COLLATE utf8mb4_unicode_ci NOT NULL,
+        \`link_enabled\` tinyint(4) NOT NULL DEFAULT '1',
+        PRIMARY KEY (\`id\`)
+      ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;`)
+}
+
+export async function downgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  // write downgrade logic as parameter of queryFn
+  await queryFn(`DROP TABLE IF EXISTS \`contribution_links\`;`)
+}
diff --git a/frontend/src/components/Auth/AuthNavbar.vue b/frontend/src/components/Auth/AuthNavbar.vue
index 7b3eed0e3..8063dd330 100644
--- a/frontend/src/components/Auth/AuthNavbar.vue
+++ b/frontend/src/components/Auth/AuthNavbar.vue
@@ -20,7 +20,7 @@
 
       <b-collapse id="nav-collapse" is-nav class="mt-5 mt-lg-0">
         <b-navbar-nav class="ml-auto" right>
-          <b-nav-item href="https://gradido.net/de/" target="_blank">
+          <b-nav-item :href="`https://gradido.net/${$i18n.locale}`" target="_blank">
             {{ $t('auth.navbar.aboutGradido') }}
           </b-nav-item>
           <b-nav-item to="/register" class="authNavbar ml-lg-5">{{ $t('signup') }}</b-nav-item>
